Package com.jangular.backend.security.model

# Class AuthenticationRequest

java.lang.Object
com.jangular.backend.security.model.AuthenticationRequest

public class AuthenticationRequest extends Object

## Constructor Summary

Constructors
Constructor
Description
`AuthenticationRequest()`
`AuthenticationRequest(String username, String password)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getPassword()`
`String`
`getUsername()`
`void`
`setPassword(String password)`
`void`
`setUsername(String username)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AuthenticationRequest

public AuthenticationRequest()

### AuthenticationRequest

public AuthenticationRequest(String username, String password)

## Method Details

### getUsername

public String getUsername()

### setUsername

public void setUsername(String username)

### getPassword

public String getPassword()

### setPassword

public void setPassword(String password)